Retrieve a webhook endpoint

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.1099policy.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "1099Policy MCP server": {
    "url": "https://docs.1099policy.com/mcp"
  }
}

Close
GET /api/v1/webhook_endpoints/{webhook_endpoint}

Retrieves the details of a webhook endpoint. You need only provide the unique webhook endpoint ID.

Path parameters

  • webhook_endpoint string Required

    The ID of the desired webhook endpoint (e.g., whe_KPGc5vEZdvoETu39BNwu2Z).

Responses

  • 200 application/json

    Returns a webhook endpoint object if a valid ID was provided.

    Hide response attributes Show response attributes object
    • created integer(int64)

      Time at which the object was created. Measured in seconds since the Unix epoch.

    • description string

      Optional human-readable description of the endpoint.

    • id string

      Unique identifier for the object.

    • secret string

      Webhook secret which you can use to verify that the webhook is from 1099Policy. Read more about how to use the webhook secret to verify the webhook signature in our documentation here.

    • url string

      The URL of the webhook endpoint.

GET /api/v1/webhook_endpoints/{webhook_endpoint}
curl \
 --request GET 'https://api.1099policy.com/api/v1/webhook_endpoints/{webhook_endpoint}'
Response examples (200)
{
  "created": 1646818364,
  "description": "string",
  "id": "string",
  "secret": "whr_a_secret_key",
  "url": "https://example.com/my/webhook/endpoint"
}